## oregano-0.83.2.1.tar.gz

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

VERSION = '0.83.3'
APPNAME = 'oregano'

top = '.'
out = 'build'

import os
from waflib import Logs as logs
from waflib import Utils as utils

def options(opt):
	opt.load('compiler_c gnu_dirs glib2')
	opt.load('unites', tooldir='waftools')

	opt.add_option('--run', action='store_true', default=False, help='Run imediatly if the build succeeds.')
	opt.add_option('--gnomelike', action='store_true', default=False, help='Determines if gnome shemas and gnome iconcache should be installed.')
#	opt.add_option('--intl', action='store_true', default=False, help='Use intltool-merge to extract messages.')


def configure(conf):
	conf.load('compiler_c gnu_dirs glib2 intltool')
	conf.load('unites', tooldir='waftools')

	conf.env.appname = APPNAME
	conf.env.version = VERSION

	conf.define('VERSION', VERSION)
	conf.define('GETTEXT_PACKAGE', APPNAME)


	#things the applications needs to know about, for easier re-use in subdir wscript(s)
	conf.env.path_ui = utils.subst_vars('${DATADIR}/oregano/ui/', conf.env)
	conf.env.path_model = utils.subst_vars('${DATADIR}/oregano/models/', conf.env)
	conf.env.path_partslib = utils.subst_vars('${DATADIR}/oregano/library/', conf.env)
	conf.env.path_lang = utils.subst_vars('${DATADIR}/oregano/language-specs/', conf.env)
	conf.env.path_examples =  utils.subst_vars('${DATADIR}/oregano/examples/', conf.env)
#	conf.env.path_icons = '${DATADIR}/oregano/icons/'
#	conf.env.path_mime = '${DATADIR}/oregano/mime/'
#	conf.env.path_locale = '${DATADIR}/oregano/locale/'
#	conf.env.path_schemas =  utils.subst_vars('${DATADIR}/glib-2.0/schemas/', conf.env)


	#define the above paths so the application does know about files locations
	conf.define('OREGANO_UIDIR', conf.env.path_ui)
	conf.define('OREGANO_MODELDIR', conf.env.path_model)
	conf.define('OREGANO_LIBRARYDIR', conf.env.path_partslib)
	conf.define('OREGANO_LANGDIR', conf.env.path_lang)
	conf.define('OREGANO_EXAMPLEDIR', conf.env.path_examples)
#	conf.define('OREGANO_ICONDIR', conf.env.path_icons)
#	conf.define('OREGANO_MIMEDIR', conf.env.path_mime)
#	conf.define('OREGANO_LOCALEDIR', conf.env.path_locale)
#	conf.define('OREGANO_SCHEMASDIR', conf.env.path_schemas)


	conf.env.gschema_name = "io.ahoi.oregano.gschema.xml"
	conf.define('OREGANO_SCHEMA_NAME', conf.env.gschema_name)


	conf.check_cc(lib='m', uselib_store='M', mandatory=True)

	conf.check_cfg(atleast_pkgconfig_version='0.26')
	conf.check_cfg(package='glib-2.0', uselib_store='GLIB', args=['glib-2.0 >= 2.24', '--cflags', '--libs'], mandatory=True)
	conf.check_cfg(package='gobject-2.0', uselib_store='GOBJECT', args=['--cflags', '--libs'], mandatory=True)
	conf.check_cfg(package='gtk+-3.0', uselib_store='GTK3', args=['--cflags', '--libs'], mandatory=True)
	conf.check_cfg(package='libxml-2.0', uselib_store='XML', args=['--cflags', '--libs'], mandatory=True)
	conf.check_cfg(package='goocanvas-2.0', uselib_store='GOOCANVAS', args=['--cflags', '--libs'], mandatory=True)
	conf.check_cfg(package='gtksourceview-3.0', uselib_store='GTKSOURCEVIEW3', args=['--cflags', '--libs'], mandatory=True)

	conf.check_large_file(mandatory=False)
	conf.check_endianness(mandatory=False)
	conf.check_inline(mandatory=False)

	conf.find_program('clang-format', var='CODEFORMAT', mandatory=False)
	conf.find_program('gdb', var='GDB', mandatory=False)
	conf.find_program('nemiver', var='NEMIVER', mandatory=False)
	conf.find_program('valgrind', var='VALGRIND', mandatory=False)


	with open(os.path.join(out,"VERSION"),"w+") as f:
		f.write(str(VERSION)+os.linesep)


	conf.define('RELEASE',1)

	# -ggdb vs -g -- http://stackoverflow.com/questions/668962
	conf.setenv('debug', env=conf.env.derive())
	conf.env.CFLAGS = ['-ggdb', '-Wall']
	conf.define('DEBUG',1)
	conf.define('DEBUG_DISABLE_GRABBING',1)

	conf.setenv('release', env=conf.env.derive())
	conf.env.CFLAGS = ['-O2', '-Wall']
	conf.define('RELEASE',1)



def docs(ctx):
	logs.info("TODO: docs generation is not yet supported")


def dist(ctx):
	ctx.base_name = APPNAME+'-'+VERSION
	ctx.algo = 'tar.xz'
	ctx.excl = ['.*', '*~','./build','*.'+ctx.algo],
	ctx.files = ctx.path.ant_glob('**/wscript')



def pre(ctx):
	if ctx.cmd != 'install':
		logs.info ('Variant: \'' + ctx.variant + '\'')



def post(ctx):
	if ctx.options.run:
		ctx.exec_command('')


from waftools.unites import summary as unites_summary

def build(bld):
	bld.add_pre_fun(pre)
	bld.add_post_fun(post)
	bld.recurse(['po','data'])

	if bld.cmd != 'install' and bld.cmd != 'uninstall':
		if not bld.variant:
			bld.variant = 'debug'
			logs.warn ('Use \'debug\' or \'release\' targets for manual builds!')
	else:
		if not os.geteuid()==0:
			logs.warn ('You most likely need root privileges to install or uninstall '+APPNAME+' properly.')


	nodes =  bld.path.ant_glob(\
	    ['src/*.c',
	     'src/gplot/*.c',
	     'src/engines/*.c',
	     'src/sheet/*.c',
	     'src/model/*.c'],
	     excl='*/main.c')

	bld.objects (
		['c','glib2'],
		source = nodes,
		includes = ['src/', 'src/engines/', 'src/gplot/', 'src/model/', 'src/sheet/'],
		export_includes = ['src/', 'src/engines/', 'src/gplot/', 'src/model/', 'src/sheet/'],
		uselib = 'M XML GOBJECT GLIB GTK3 XML GOOCANVAS GTKSOURCEVIEW3',
		target = 'shared_objects'
	)

	exe = bld.program(
		features = ['c', 'glib2'],
		target = APPNAME,
		source = ['src/main.c'],
		includes = ['src/', 'src/engines/', 'src/gplot/', 'src/model/', 'src/sheet/'],
		export_includes = ['src/', 'src/engines/', 'src/gplot/', 'src/model/', 'src/sheet/'],
		use = 'shared_objects',
		uselib = 'M XML GOBJECT GLIB GTK3 XML GOOCANVAS GTKSOURCEVIEW3',
		settings_schema_files = ['data/settings/'+bld.env.gschema_name],
		install_path = "${BINDIR}"
	)

	for item in exe.includes:
		logs.debug(item)
	test = bld.program(
		features = ['c', 'glib2', 'unites'],
		target = 'microtests',
		source = ['test/test.c'],
		includes = ['src/', 'src/engines/', 'src/gplot/', 'src/model/', 'src/sheet/'],
		export_includes = ['src/', 'src/engines/', 'src/gplot/', 'src/model/', 'src/sheet/'],
		use = 'shared_objects',
		uselib = 'M XML GOBJECT GLIB GTK3 XML GOOCANVAS GTKSOURCEVIEW3'
	)

	bld.add_post_fun(unites_summary)



from waflib.Build import BuildContext

class release(BuildContext):
	"""compile release binary"""
	cmd = 'release'
	variant = 'release'

class debug(BuildContext):
	"""compile debug binary"""
	cmd = 'debug'
	variant = 'debug'





def gdb_fun(ctx):
	if ctx.env.GDB:
		os.system ("G_DEBUG=resident-modules,fatal-warnings "+ctx.env.GDB[0]+" --args ./build/debug/"+APPNAME+" --debug-all")
	else:
		logs.warn ("Did not find \"gdb\". Re-configure if you installed it in the meantime.")

def nemiver_fun(ctx):
	if ctx.env.NEMIVER:
		os.system (" "+ctx.env.NEMIVER[0]+" --env=\"G_DEBUG=resident-modules,fatal-warnings\" ./build/debug/"+APPNAME+" --debug-all")
	else:
		logs.warn ("Did not find \"nemiver\". Re-configure if you installed it in the meantime.")


def valgrind_fun(ctx):
	if ctx.env.VALGRIND:
		os.system ("G_DEBUG=resident-modules,always-malloc "+ctx.env.VALGRIND[0]+" --leak-check=full --leak-resolution=high --show-reachable=no --track-origins=yes --undef-value-errors=yes --show-leak-kinds=definite --free-fill=0x77 ./build/debug/"+APPNAME+" --debug-all")
	else:
		logs.warn ("Did not find \"valgrind\". Re-configure if you installed it in the meantime.")



def massif_fun(ctx):
	if ctx.env.VALGRIND:
		os.system ("G_DEBUG=resident-modules,always-malloc "+ctx.env.VALGRIND[0]+" --tool=massif --depth=10 --max-snapshots=1000 --alloc-fn=g_malloc --alloc-fn=g_realloc --alloc-fn=g_try_malloc --alloc-fn=g_malloc0 --alloc-fn=g_mem_chunk_alloc --threshold=0.01 build/debug/ ./build/debug/"+APPNAME+" --debug-all")
	else:
		logs.warn ("Did not find \"massif\". Re-configure if you installed it in the meantime.")




def codeformat_fun(ctx):
	if ctx.env.CODEFORMAT:
		nodes = ctx.path.ant_glob(\
		    ['src/*.[ch]',
		     'src/gplot/*.[ch]',
		     'src/engines/*.[ch]',
		     'src/sheet/*.[ch]',
		     'src/model/*.[ch]'])
		args = ''
		for item in nodes:
			args += str(item.abspath())+' '
		os.system (''+ctx.env.CODEFORMAT[0]+' -i '+ args)
	else:
		logs.warn ("Did not find \"clang-format\". Re-configure if you installed it in the meantime.")


import platform
from waflib.Context import Context
import re
def bumprpmver_fun(ctx):

	spec = ctx.path.find_node('oregano.spec')
	data = None
	with open(spec.abspath()) as f:
		data = f.read()

	if data:
		data = (re.sub(r'^(\s*Version\s*:\s*)[\w.]+\s*', r'\1 {0}\n'.format(VERSION), data, flags=re.MULTILINE))

		with open(spec.abspath(),'w') as f:
			f.write(data)
	else:
		logs.warn("Didn't find that spec file: '{0}'".format(spec.abspath()))


def spawn_pot(ctx):
#	"create a .pot from all sources (.ui,.c,.h,.desktop)"

	ctx.recurse ('po')


def update_po(ctx):
#	"update the .po files"
	ctx.recurse ('po')

# we need to subclass BuildContext instead of Context
# in order to access ctx.env.some_variable
# TODO create a custom subclass of waflib.Context.Context which implements the load_env from BuildContext
class spawnpot(BuildContext):
	"""spawn .pot files"""
	cmd = 'spawnpot'
	fun = 'spawn_pot'

class updatepo(BuildContext):
	"""update the translate .po files"""
	cmd = 'updatepo'
	fun = 'update_po'


class codeformat(BuildContext):
	"""Format the source tree"""
	cmd = 'codeformat'
	fun = 'codeformat_fun'

class massif(BuildContext):
	"""Run with \"massif\""""
	cmd = 'massif'
	fun = 'massif_fun'

class valgrind(BuildContext):
	"""Run with \"valgrind\""""
	cmd = 'valgrind'
	fun = 'valgrind_fun'

class gdb(BuildContext):
	"""Run with \"gdb\""""
	cmd = 'gdb'
	fun = 'gdb_fun'

class nemiver(BuildContext):
	"""Run with \"nemiver\""""
	cmd = 'nemiver'
	fun = 'nemiver_fun'

class bumprpmver(Context):
	"""Bump version"""
	cmd = 'bumprpmver'
	fun = 'bumprpmver_fun'


def builddeps_fun(ctx):
	pl = platform.linux_distribution()
	if pl[0] == 'Fedora':
		tool = "dnf"
		if int(pl[1]) <= 21:
			tool = "yum"
		logs.info("Using \"{0}\" with {1} {2} ...".format(tool,pl[0],pl[1]))
		os.system(tool+' install gtk3-devel libxml2-devel gtksourceview3-devel intltool glib2-devel goocanvas2-devel desktop-file-utils')
	elif pl[0] == 'Ubuntu':
		os.system('apt-get install libglib2.0-dev intltool libgtk-3-dev libxml2-dev libgoocanvas-2.0-dev libgtksourceview-3.0-dev gnucap')
	else:
		logs.warn ('Unknown Linux distribution. Do nothing.')

class builddeps(Context):
	"""Install build dependencies"""
	cmd = 'builddeps'
	fun = 'builddeps_fun'

=== data/wscript ===
#! /usr/bin/env python
# encoding: utf-8

top = '..'
out = '../build'

from waflib import Logs as logs
from waflib import Utils as utils


def options(opts):
	pass


def configure(conf):
	pass


def build(bld):
	if bld.cmd == 'install':
		#intl does not like the keys in (not an xml and no translation strings)
		#add to potfiles in for another try
		bld.install_as ('${DATADIR}/mime-info/oregano.keys', 'mime/oregano.keys.in')
		bld.install_files ('${DATADIR}/icons/hicolor/48x48/apps/', 'mime/oregano.png')
		bld.install_files ('${DATADIR}/icons/hicolor/scalable/apps/', 'mime/oregano.svg')
		#things we need to be known by the app are already defined and stored in the main wscript
		bld.install_files (bld.env.path_lang, 'netlist.lang')
		bld.install_files (bld.env.path_model, bld.path.ant_glob('models/*.model'))
		bld.install_files (bld.env.path_examples, bld.path.ant_glob('examples/*.oregano'))
		bld.install_files (bld.env.path_partslib, bld.path.ant_glob('libraries/*.oreglib'))
		bld.install_files (bld.env.path_ui, bld.path.ant_glob('xml/*.ui'))

		try:
			bld.exec_command(['update-desktop-database', utils.subst_vars('${DATADIR}/applications', bld.env)])
		except:
			logs.warn('Failed to execute xdg desktop database update.')

		try:
			bld.exec_command(['update-mime-database', utils.subst_vars('${DATADIR}/mime', bld.env)])
		except:
			logs.warn('Failed to execute xdg mime database update.')

	bld(
		features  = 'intltool_in',
		podir     = "../po",
		style     = "desktop",
		source    = 'oregano.desktop.in',
		target    = 'oregano.desktop',
		install_path = '${DATADIR}/applications',
	)

	bld(
		features  = 'intltool_in',
		podir     = "../po",
		style     = "schemas",
		source    = 'settings/io.ahoi.oregano.gschema.xml',
	)

	bld(
		features  = 'intltool_in',
		podir     = "../po",
		style     = "xml",
		source    = 'mime/oregano-mimetypes.xml.in',
		target    = 'mime/oregano.xml',
		install_path = '${DATADIR}/mime/packages/',
	)


	bld(rule = "groff ${SRC} > ${TGT}", source="oregano.MAN.in", target="oregano.5")
	bld.install_files ('${MANDIR}/man5', 'oregano.5')

=== debian/changelog ===
oregano (0.83.2-0) unstable; urgency=high

  * Update upstream

 -- Bernhard Schuster <bernhard@ahoi.io>  Fri, 15 May 2015 00:35:44 +0200

oregano (0.70-2) unstable; urgency=medium

  * Replace libpng12-dev with libpng-dev. (Closes: #662459)
  * Update watch file.
  * New patch: clang_FTBFS_Wreturn-type.patch (Closes: #743871) Thanks
    to Nicolas Sévelin-Radiguet.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 25 Apr 2014 15:39:20 +0200

oregano (0.70-1.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Petter Reinholdtsen ]
  * New patch math-library.patch to make sure to link with -lm and
    fix build failure (Closes: #713450).

 -- gregor herrmann <gregoa@debian.org>  Sat, 13 Jul 2013 15:54:33 +0200

oregano (0.70-1) unstable; urgency=low

  * New upstream release.
  * New upstream, Marc Lorber
  * debian/patches/format-security.patch: fixes format-security errors
  * debian/patches/missing.potfiles.patch: add missing files to POTFILES.in
    and POTFILES.skip
  * debian/patches/remove.unneeded.docs.patch: avoid duplication of license
    and the installation of the INSTALL file

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Jan 2012 20:00:53 -0300

oregano (0.69.1-3) unstable; urgency=low

  * Merge pending ubuntu patch.
  * debian/patches/line.drawing.patch: When moving a wire so that it joins
    with another delete the moved one, as well as extending the other.
  * Remove obsolete dependency of libgnomeprint (Closes: #644563)
  * Migrate to format 3.0 (quilt)
  * Update Standards-Version to 3.9.2.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Nov 2011 13:08:58 -0300

oregano (0.69.1-2) unstable; urgency=low

  * Disable omit-frame-pointer optimization to avoid segfault in amd64.
    Further analysis pending. (Closes: #590688)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 15 Aug 2010 16:50:23 -0300

oregano (0.69.1-1) unstable; urgency=low

  * New upstream release.
    - Migration to gtksourceview2.0 (Closes: #532939)
    - Fix png export (Closes: #528911)
    - Add black and white export support (Closes: #527448)
  * Update old patches.
    - Use shorter name as Name in desktop file (Closes: #509948)
  * Update Standards-Version, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jul 2009 19:27:35 -0300

oregano (0.69.0-2) unstable; urgency=low

  * Fixed dpkg-shlibs warnings.
    - Set LDFLAGS in rules file.
    - Added patch to make scons receive LDFLAGS
       (patches/scons.env.ldflags.dpatch)
  * Fixed invalid characters in power.oreglib
    - Added patch to fix the invalid characters.
       (patches/power.lib.mess.dpatch)
  * Moved Homepage pseudo field to real field.
  * Updated Standards-Version, no changes needed.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Tue, 19 Feb 2008 21:01:27 -0200

oregano (0.69.0-1) unstable; urgency=low

  * New upstream release.
    - Added 1N4148.model (Closes: #432997)
  * Removed upstream.sync patch. (patches/upstream.sync.dpatch)
  * Removed headers.missing patch. (patches/headers.missing.dpatch)
  * Updated desktop.update patch. (patches/desktop.update.dpatch)

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Thu, 16 Aug 2007 23:22:15 -0300

oregano (0.60.0-2) unstable; urgency=low

  * Fixes FTBFS, by adding gnome-print-paper header in the print.c source file
    (patch headers-missing), thanks to Lucas Nussbaum and Luis Rodrigo
    Gallardo Cruz (Closes: #422397)

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Sat, 16 Jun 2007 13:09:53 -0300

oregano (0.60.0-1) unstable; urgency=low

  * New upstream release.
  * Fixes typo in the package description, thanks to Simon Waters for
    the report (Closes: #390245)
  * Updates desktop file, thanks to Jordi Mallach for the patch
    (Closes: #393952)

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Thu, 19 Oct 2006 12:01:03 -0300

oregano (0.50.1-2) unstable; urgency=low

  * Fixes problem with encodings, thanks to Viktor Bindewald for the report
    and testing. (Closes: #369602)
  * Fixes a possible crash when editing part properties (upstream fix).
  * Changes the installation path of the desktop file.
  * Honors the CFLAGS value.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Fri, 25 Aug 2006 00:28:24 -0300

oregano (0.50.1-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Thu, 03 Aug 2006 19:35:28 -0300

oregano (0.40.5-2) unstable; urgency=low

  * Fixes translations of dialogs - thanks to Jordi Mallach <jordi@debian.org>.
  * Updates catalan translation - thanks to Jordi Mallach <jordi@debian.org>
    (Closes: #350293).
  * Updates french translation - thanks to Jean-Luc Coulon
    <jean-luc.coulon@wanadoo.fr> (Closes: #354596).
  
 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Fri, 14 Apr 2006 14:02:59 -0300

oregano (0.40.5-1) unstable; urgency=low

  * Updates russian translation - thanks to Yuri Kozlov <yuray@id.ru>
    (Closes: #326925).
  * Updates brazilian portuguese translation - thanks to 
    "Felipe Augusto van de Wiel (faw)" <felipe@cathedrallabs.org>
    (Closes: #348130).
  * New upstream release.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Mon, 23 Jan 2006 19:42:49 -0300

oregano (0.40.4-2) unstable; urgency=low

  * Building now against libcairo2-dev (Closes: #321058).
  * Leaving names on oregano.1 without funny characters.

 -- David Moreno Garza <damog@debian.org>  Mon,  5 Sep 2005 20:20:53 -0500

oregano (0.40.4-1) unstable; urgency=low

  * New upstream release (Closes: #293094).
  * Adds --disable-update-mime to the configure parameters - thanks to Aaron
    M. Ucko <ucko@debian.org> (Closes: #313132).
  * Updates german translation - thanks to Jens Seidel
    <jensseidel@users.sf.net> (Closes: #313950).

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Tue, 21 Jun 2005 11:25:09 -0300

oregano (0.40.0-5) unstable; urgency=high

  * Fixes segfaults on ia64 - thanks to David Mosberger-Tang <davidm@mostang.com>
    (Closes: #310936).



=== macports/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id$

PortSystem          1.0
PortGroup           github 1.0

github.setup        drahnr oregano 0.83.3 v
revision            1
categories          gnome science
maintainers         Bernhard Schuster
license             GPL-2+

description         A graphical software application for schematic capture and simulation of electrical circuits.
long_description    ${description} It uses Gtk+ 3.x for the frontend and ngspice or gnucap as backend for crunching numbers. File bugs for this port at https://github.com/drahnr/oregano

platforms           darwin

depends_build       port:python \
                    port:intltool \
                    port:libtool \
                    port:pkgconfig

depends_lib         port:gtk3 \
                    port:gtksourceview3 \
                    port:goocanvas2 \
                    port:rarian \
                    port:desktop-file-utils \
                    port:shared-mime-info

depends_run         port:yelp \
                    port:docbook-xml

configure.cmd       ./waf configure

#configure.args

post-activate {
    system "${prefix}/bin/scrollkeeper-update"
    system "${prefix}/bin/update-desktop-database ${prefix}/share/applications"
    system "${prefix}/bin/update-mime-database ${prefix}/share/mime"
    system "${prefix}/bin/glib-compile-schemas ${prefix}/share/glib-2.0/schemas"
}

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

PWD   := $(shell pwd)


%:
	dh $@

override_dh_auto_configure:
	./waf --prefix="/usr" configure

override_dh_auto_clean:
	./waf distclean

override_dh_auto_build:
	./waf debug

override_dh_auto_install:
	./waf --prefix="/usr" --destdir=$(PWD)/debian/oregano install

override_dh_usrlocal:
	@echo "skippy skip <dh_usrlocal>"

override_dh_shlibdeps:
	dpkg-shlibdeps -Tdebian/oregano.substvars debian/oregano/usr/bin/oregano
